Bug 133474 - FILEOPEN: DOC: Images are not loaded
Summary: FILEOPEN: DOC: Images are not loaded
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-28 10:54 UTC by Xisco Faulí
Modified: 2020-06-09 18:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.0 master (199.20 KB, image/png)
2020-05-28 10:54 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-05-28 10:54:52 UTC
Created attachment 161363 [details]
Comparison MSO 2010 and LibreOffice 7.0 master

Steps to reproduce:
1. Open attachment 58704 [details] from bug 47461

-> Image on first page and images on the header are blank

Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 82894d85147840f1f587e9530b12f0058f2ef2c3
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded


[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-05-28 10:55:59 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b11188835d3b87cd9d2a8cdb3da204cfda5d3e6e

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-04-20 17:58:09 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-04-20 21:12:56 +0200
commit	b11188835d3b87cd9d2a8cdb3da204cfda5d3e6e (patch)
tree	d4c652363b1f20e7399be1fd01d74099e3aa8f3c
parent	40edbce3988946d0ffceb9554de42e1e469edd92 (diff)
DOC import: lazy-read images

Bisected with: bibisect-linux64-6.1

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2020-06-09 07:02:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/369355da5c1e25bad7124dd6e187d9e381759751

tdf#133474 DOC import: fix lazy-loading of images with zero size

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-09 14:57:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2da8c272528386e38deb679712adb879f2f412b2

tdf#133474 DOC import: fix lazy-loading of images with zero size

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-06-09 16:59:04 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 3a371da71ab738a99e81e75c736fa5e384ebd9d3
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!
Comment 5 Commit Notification 2020-06-09 18:56:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/56a5e5d9fdbc1542c802d1dcb7ce84e99de85fcb

tdf#133474 DOC import: fix lazy-loading of images with zero size

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.